<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.tree.NodeCombiner (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.tree.NodeCombiner (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/NodeCombiner.html" target="_top">Frames</a></li>
<li><a href="NodeCombiner.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.tree.NodeCombiner" class="title">Uses of Class<br>org.apache.commons.configuration2.tree.NodeCombiner</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.tree">org.apache.commons.configuration2.tree</a></td>
<td class="colLast">
<div class="block">
 A package with helper and utility classes used by hierarchical configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a> in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that return <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#getNodeCombiner--">getNodeCombiner</a></span>()</code>
<div class="block">Returns the node combiner that is used for creating the combined node
 structure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html#getNodeCombiner--">getNodeCombiner</a></span>()</code>
<div class="block">Returns the node combiner that is used for creating the combined node
 structure.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#setNodeCombiner-org.apache.commons.configuration2.tree.NodeCombiner-">setNodeCombiner</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a>&nbsp;nodeCombiner)</code>
<div class="block">Sets the node combiner.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html#setNodeCombiner-org.apache.commons.configuration2.tree.NodeCombiner-">setNodeCombiner</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a>&nbsp;nodeCombiner)</code>
<div class="block">Sets the node combiner.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html#CombinedConfiguration-org.apache.commons.configuration2.tree.NodeCombiner-">CombinedConfiguration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a>&nbsp;comb)</code>
<div class="block">Creates a new instance of <code>CombinedConfiguration</code> and
 initializes the combiner to be used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#DynamicCombinedConfiguration-org.apache.commons.configuration2.tree.NodeCombiner-">DynamicCombinedConfiguration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a>&nbsp;comb)</code>
<div class="block">Creates a new instance of <code>DynamicCombinedConfiguration</code> and
 initializes the combiner to be used.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.tree">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a> in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a> in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/MergeCombiner.html" title="class in org.apache.commons.configuration2.tree">MergeCombiner</a></span></code>
<div class="block">
 A specialized implementation of the <code>NodeCombiner</code> interface
 that performs a merge from two passed in node hierarchies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/OverrideCombiner.html" title="class in org.apache.commons.configuration2.tree">OverrideCombiner</a></span></code>
<div class="block">
 A concrete combiner implementation that is able to construct an override
 combination.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/UnionCombiner.html" title="class in org.apache.commons.configuration2.tree">UnionCombiner</a></span></code>
<div class="block">
 A specialized implementation of the <code>NodeCombiner</code> interface
 that constructs a union from two passed in node hierarchies.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/NodeCombiner.html" target="_top">Frames</a></li>
<li><a href="NodeCombiner.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
